import { Component, Input, OnInit } from '@angular/core';
import * as moment from 'moment';

@Component({
	selector: 'app-article',
	templateUrl: './article.component.html',
	styleUrls: ['./article.component.css']
})

export class ArticleComponent implements OnInit {
	@Input()articles;

	constructor() { }

	ngOnInit() {
	}

	computeDate(publishedAt) {
		return moment(publishedAt).format('DD MMMM YYYY');
	}
}
