import { Component, OnInit } from '@angular/core';

import { SearchService } from '../search.service';

@Component({
	selector: 'app-search',
	templateUrl: './search.component.html',
	styleUrls: ['./search.component.css', '../home/home.component.css']
})

export class SearchComponent implements OnInit {
	query: string;

	constructor(
		private searchService: SearchService,
	) { }

	ngOnInit() {
	}

	submit() {
		this.searchService.changeQuery(this.query);
	}
}
