package com.stockr.server.stocks;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("stocks")
public class StocksController {
    @Autowired
    private StocksService stocksService;

    @GetMapping//root
    public Stocks getStocks(@RequestParam("ticker") String ticker) {
        return stocksService.getStocks(ticker);
    }

    @GetMapping("/gainers")
    public List<Gainer> getGainers() {
        return stocksService.getGainers();
    }
}
