package com.stockr.server.stocks;

import org.junit.Test;

import static org.junit.Assert.*;

public class StocksServiceTest {
    private StocksService ss = new StocksService();

    @Test
    public void getStocks_ShouldReceiveCorrectCompanyName() {
        // TODO mock this...
        Stocks s = ss.getStocks("tsla");
        assertEquals(s.getCompany().getCompanyName(), "Tesla Inc.");
    }

    // get market gainers
    // https://api.iextrading.com/1.0/stock/market/list/gainers
    @Test
    public void getGainers_ShouldReceiveCorrectCompanyName() {
        System.out.println(ss.getGainers().get(0).getCompanyName());
    }
}