import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';

@Injectable({
	providedIn: 'root'
})

export class StocksService {

	constructor(private http: HttpClient) { }

	getStocks(ticker) {
		return this.http.get(`/api/stocks?ticker=${ticker}`);
	}

	getGainers() {
		return this.http.get(`/api/stocks/gainers`);
	}
}
