package com.stockr.server.stocks;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import pl.zankowski.iextrading4j.api.stocks.Quote;

import java.math.BigDecimal;

@NoArgsConstructor
@Getter @Setter
@JsonIgnoreProperties
public class Gainer {
    String symbol;
    String companyName;
    BigDecimal close;
    BigDecimal changePercent;

    Gainer(Quote quote) {
        this.symbol = quote.getSymbol();
        this.companyName = quote.getCompanyName();
        this.close = quote.getClose();
        this.changePercent = quote.getChangePercent();
    }
}
