package com.stockr.server.iextrading;

import org.junit.Test;
import pl.zankowski.iextrading4j.api.stocks.BatchStocks;
import pl.zankowski.iextrading4j.client.IEXTradingClient;
import pl.zankowski.iextrading4j.client.rest.request.stocks.BatchStocksRequestBuilder;
import pl.zankowski.iextrading4j.client.rest.request.stocks.BatchStocksType;

import static org.junit.Assert.*;

public class IEXTradingApiTest {
    @Test
    public void constructor_ShouldFillFields() {
        IEXTradingClient iex = IEXTradingClient.create();
        BatchStocks bs = iex.executeRequest(new BatchStocksRequestBuilder()
                .withSymbol("AAPL")
                .addType(BatchStocksType.QUOTE)
                .addType(BatchStocksType.CHART)
                .build());

        assertNotNull(bs);
    }
}
