package com.stockr.server.sentiment;

import com.fasterxml.jackson.databind.ObjectMapper;
import com.paralleldots.paralleldots.App;
import org.junit.Test;

import static org.junit.Assert.*;

public class SentimentTest {
    @Test
    public void constructor_ShouldFillInFields_GivenJsonString() throws Exception {
        App pd = new App("ksfXrGlQnbn5jrJQBiGvxS0gdFVI8oHm6S3ZAxGz9EM");
        String json = pd.sentiment("test");

        Sentiment sentiment = new ObjectMapper().readValue(json, Sentiment.class);
        assertNotNull(sentiment.getLikely());
        assertNotNull(sentiment.getNegative());
        assertNotNull(sentiment.getNeutral());
        assertNotNull(sentiment.getPositive());
    }

}